Get Campaign Approval Status

Use this interface to retrieve the approval status for a campaign, specified by campaign name.

Note: The Responsys Advanced API is generally available for all Responsys customers.

Service URL:

/rest/api/v1.3/approval/campaigns/{campaignName}

Required Path Parameters:

campaignName - Name of the campaign to retrieve.

Request Method:

GET

Request Header:

Authorization=<AUTH_TOKEN>

Content-Type=application/json

Request Body - Required Properties:

Not applicable

Sample Request Body

Not applicable

Sample Response Body - Success

{
  "approvalStatus": "APPROVED",
  "campaignName": "Campaign_trigger_program",
  "campaignType": "EMAIL",
  "printableLink": "https://XXXXXX-api.responsys.net/emd/c/campaigndesigner/email/request/printableview?campaignId=1865801",
  "links": [
    {
      "rel": "self",
      "href": "/rest/api/v1.3/approval/campaigns/Campaign_trigger_program",
      "method": "GET"
    },
    {
      "rel": "setCampaignApprovalStatus",
      "href": "/rest/api/v1.3/approval/campaigns/Campaign_trigger_program",
      "method": "PUT"
    },
    {
      "rel": "getAllCampaignsApprovalStatus",
      "href": "/rest/api/v1.3/approval/campaigns",
      "method": "GET"
    }
  ]
} 

Sample Responses - Failure

404 Not Found

Campaign not found error: If the campaign cannot be found, the error response will resemble the following:

{ 
  "type": "",
  "title": "Campaign not found",
  "errorCode": "CAMPAIGN_NOT_FOUND",
  "detail": "Campaign [<campaignName>] not found",
  "errorDetails": []
}